Skip to main content
GET
/
v1
/
monitors
/
{monitor_id}
/
events
List Monitor Events
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "created": 123,
      "changed": true,
      "summary": "<string>",
      "snapshot_url": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

monitor_id
string
required
Pattern: ^monitor_

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string

Opaque cursor from next_cursor.

count_only
enum<string>

When true, returns only { "total_count": N }.

Available options:
true,
1

Response

Event page or count.

data
object[]
has_more
boolean
next_cursor
string | null
total_count
integer